LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XRegressionCurveContainer Interface Reference

`import"XRegressionCurveContainer.idl";`

Inheritance diagram for XRegressionCurveContainer:

## Public Member Functions
void | addRegressionCurve ([in] XRegressionCurve aRegressionCurve) raises ( com::sun::star::lang::IllegalArgumentException )
| add a regression curve to the container More...
void | removeRegressionCurve ([in] XRegressionCurve aRegressionCurve) raises ( com::sun::star::container::NoSuchElementException )
| removes one regression curve from the container. More...
sequence< XRegressionCurve > | getRegressionCurves ()
| retrieve all regression curves More...
void | setRegressionCurves ([in] sequence< XRegressionCurve > aRegressionCurves) raises ( com::sun::star::lang::IllegalArgumentException )
| set all regression curves More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addRegressionCurve()

void addRegressionCurve | ( | [in] XRegressionCurve | aRegressionCurve | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

add a regression curve to the container

Exceptions

  IllegalArgumentException | If the given regression curve is already contained in the container.

## ◆ getRegressionCurves()

sequence< XRegressionCurve > getRegressionCurves | ( |  | ) |

retrieve all regression curves

## ◆ removeRegressionCurve()

void removeRegressionCurve | ( | [in] XRegressionCurve | aRegressionCurve | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes one regression curve from the container.

## ◆ setRegressionCurves()

void setRegressionCurves | ( | [in] sequence< XRegressionCurve > | aRegressionCurves | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

set all regression curves

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XRegressionCurveContainer.idl